# Macro Commands

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## MACRO COMMANDS

Everyday macro commands used by the user. See Macro Development Commands for commands related to macro development.

## Commands

end-kbd-macro(2) (C-x )) Stop recording keyboard macro
execute-buffer(2) Execute script lines from a buffer
execute-file(2) (esc /) Execute script lines from a file
execute-kbd-macro(2) (C-x e) Execute a keyboard macro
execute-line(2) Execute a typed in script line
execute-named-command(2) [esc x] Execute a named command
insert-macro(2) Insert keyboard macro into buffer
kbd-macro-query(2) (C-x q) Query termination of keyboard macro
name-kbd-macro(2) Assign a name to the last keyboard macro
start-kbd-macro(2) (C-x () Start recording keyboard macro

## Variables

$debug(5) Macro debugging flag

(c) Copyright JASSPA 2009
Last Modified: 2009/10/12
Generated On: 2009/10/12

</HMTL>